Last Comment Bug 513658 - Deprecate isReady() in geolocation provider
: Deprecate isReady() in geolocation provider
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Martin McNickle
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-31 03:38 PDT by Martin McNickle
Modified: 2009-11-18 06:51 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta1-fixed


Attachments
patch (3.82 KB, patch)
2009-08-31 04:13 PDT, Martin McNickle
dougt: review+
pavlov: approval1.9.2+
Details | Diff | Review

Description Martin McNickle 2009-08-31 03:38:17 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2
Build Identifier: 

isReady() isn't used by the geolocation code at all so serves no purpose. Also from discussion:

<dougt> i would be happy to declare isReady as deprecated right now. ;-)

Reproducible: Always
Comment 1 Martin McNickle 2009-08-31 04:13:09 PDT
Created attachment 397604 [details] [diff] [review]
patch

Removed isReady from the idl file. Updated interface UUID. Removes isReady implementations from the bundled providers too.

Will update the docs at https://developer.mozilla.org/En/nsIGeolocationProvider when it lands. Is there anything special to write in the docs to say this was removed (when where why? etc?).
Comment 2 Doug Turner (:dougt) 2009-09-02 09:51:39 PDT
http://hg.mozilla.org/mozilla-central/rev/67a8b17ad2a1

Thanks!!

> Is there anything special to write in the docs to say this was
removed (when where why? etc?).

This was removed because developers found it not required.  (that works for me.  You can also mention this bug).
Comment 3 Dão Gottwald [:dao] 2009-10-29 06:48:17 PDT
This patch doesn't apply on 1.9.2.
Comment 5 Eric Shepherd [:sheppy] 2009-11-18 06:51:09 PST
Documentation updated:

https://developer.mozilla.org/en/XPCOM_Interface_Reference/NsIGeolocationProvider

Note You need to log in before you can comment on or make changes to this bug.